package barxdroid.nbtest;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "barxdroid.nbtest", "barxdroid.nbtest.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "barxdroid.nbtest", "barxdroid.nbtest.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "barxdroid.nbtest.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.keywords.StringBuilderWrapper _sb = null;
public barxdroid.NotificationBuilder.NotificationBuilder _nb = null;
public barxdroid.NotificationBuilder.NotificationInboxStyle _nbinboxstyle = null;
public barxdroid.NotificationBuilder.NotificationBigTextStyle _nbbigtextstyle = null;
public barxdroid.NotificationBuilder.NotificationBigPictureStyle _nbbigpicturestyle = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txttitle = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txttext = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtsubtext = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtinfotext = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _cbolightcolor = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _cbolightspeed = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _cbovibraterate = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _cbopersistance = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _cbostyle = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnllight = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlsound = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlvibrate = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnltexts = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpersistance = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlstyle = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rdocustomlight = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rdodefaultlight = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rdocustomvibrate = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rdodefaultvibrate = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _togglenotification = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _togglelight = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _togglesound = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _togglevibrate = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollbody = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollcode = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkshownumber = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkhidetime = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkchrono = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkprogress = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkactions = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblcode = null;
public static int _svheight = 0;
public static boolean _notifyonpause = false;
public barxdroid.nbtest.notepopup _notepopup = null;
public barxdroid.nbtest.noteparent _noteparent = null;
public barxdroid.nbtest.actionservice _actionservice = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (notepopup.mostCurrent != null);
vis = vis | (noteparent.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 36;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 37;BA.debugLine="Activity.LoadLayout(\"Main\")";
mostCurrent._activity.LoadLayout("Main",mostCurrent.activityBA);
 //BA.debugLineNum = 38;BA.debugLine="Activity.Title = \"Notification Builder Demo\"";
mostCurrent._activity.setTitle((Object)("Notification Builder Demo"));
 //BA.debugLineNum = 40;BA.debugLine="lblCode.Initialize(\"\")";
mostCurrent._lblcode.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 41;BA.debugLine="ScrollCode.Panel.AddView(lblCode, 10dip, 10dip, 1";
mostCurrent._scrollcode.getPanel().AddView((android.view.View)(mostCurrent._lblcode.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
 //BA.debugLineNum = 42;BA.debugLine="ScrollBody.Panel.Color = Colors.Transparent";
mostCurrent._scrollbody.getPanel().setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
 //BA.debugLineNum = 43;BA.debugLine="ScrollBody.Panel.Width = 100%x";
mostCurrent._scrollbody.getPanel().setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 44;BA.debugLine="ScrollBody.Panel.LoadLayout(\"pnl1\")";
mostCurrent._scrollbody.getPanel().LoadLayout("pnl1",mostCurrent.activityBA);
 //BA.debugLineNum = 45;BA.debugLine="svHeight = svHeight + 450dip'LayoutVals.Height";
_svheight = (int) (_svheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (450)));
 //BA.debugLineNum = 46;BA.debugLine="ScrollBody.Panel.LoadLayout(\"pnl2\")";
mostCurrent._scrollbody.getPanel().LoadLayout("pnl2",mostCurrent.activityBA);
 //BA.debugLineNum = 47;BA.debugLine="pnlTexts.Top = svHeight";
mostCurrent._pnltexts.setTop(_svheight);
 //BA.debugLineNum = 48;BA.debugLine="svHeight = svHeight + 420dip";
_svheight = (int) (_svheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (420)));
 //BA.debugLineNum = 49;BA.debugLine="ScrollBody.Panel.LoadLayout(\"pnl3\")";
mostCurrent._scrollbody.getPanel().LoadLayout("pnl3",mostCurrent.activityBA);
 //BA.debugLineNum = 50;BA.debugLine="pnlPersistance.Top = svHeight";
mostCurrent._pnlpersistance.setTop(_svheight);
 //BA.debugLineNum = 51;BA.debugLine="svHeight = svHeight + 70dip";
_svheight = (int) (_svheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (70)));
 //BA.debugLineNum = 52;BA.debugLine="ScrollBody.Panel.LoadLayout(\"pnl4\")";
mostCurrent._scrollbody.getPanel().LoadLayout("pnl4",mostCurrent.activityBA);
 //BA.debugLineNum = 53;BA.debugLine="pnlStyle.Top = svHeight";
mostCurrent._pnlstyle.setTop(_svheight);
 //BA.debugLineNum = 54;BA.debugLine="svHeight = svHeight + 120dip";
_svheight = (int) (_svheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (120)));
 //BA.debugLineNum = 56;BA.debugLine="ScrollBody.Panel.Height = svHeight";
mostCurrent._scrollbody.getPanel().setHeight(_svheight);
 //BA.debugLineNum = 57;BA.debugLine="cboLightColor.AddAll(Array As String(\"Green\", \"Or";
mostCurrent._cbolightcolor.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Green","Orange","Red","White","Blue"}));
 //BA.debugLineNum = 58;BA.debugLine="cboLightSpeed.AddAll(Array As String(\"Fast\", \"Med";
mostCurrent._cbolightspeed.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Fast","Medium","Slow"}));
 //BA.debugLineNum = 59;BA.debugLine="cboVibrateRate.AddAll(Array As String(\"Fast\", \"Me";
mostCurrent._cbovibraterate.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Fast","Medium","Slow"}));
 //BA.debugLineNum = 60;BA.debugLine="cboPersistance.AddAll(Array As String(\"Normal\", \"";
mostCurrent._cbopersistance.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Normal","On Going","Auto Cancel"}));
 //BA.debugLineNum = 61;BA.debugLine="cboStyle.AddAll(Array As String(\"Normal\", \"InboxS";
mostCurrent._cbostyle.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Normal","InboxStyle","BigTextStyle","BigPictureStyle"}));
 //BA.debugLineNum = 62;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 63;BA.debugLine="Msgbox(\"Please Note:\" & CRLF & \"Not all features";
anywheresoftware.b4a.keywords.Common.Msgbox("Please Note:"+anywheresoftware.b4a.keywords.Common.CRLF+"Not all features are supported by all platform versions. Many features require API 11+ and some API 16+. These requirements are documented in the Library. Thank You","Important Info",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 65;BA.debugLine="sb.Initialize";
_sb.Initialize();
 //BA.debugLineNum = 66;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 81;BA.debugLine="If UserClosed Then";
if (_userclosed) { 
 }else {
 //BA.debugLineNum = 84;BA.debugLine="If NotifyOnPause Then";
if (_notifyonpause) { 
 //BA.debugLineNum = 85;BA.debugLine="nb.Notify(1)";
mostCurrent._nb.Notify(processBA,(int) (1));
 //BA.debugLineNum = 86;BA.debugLine="ToggleNotification.Checked = True";
mostCurrent._togglenotification.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 };
 //BA.debugLineNum = 90;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
anywheresoftware.b4a.objects.IntentWrapper _in = null;
String _intentextra = "";
 //BA.debugLineNum = 68;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 69;BA.debugLine="Dim In As Intent";
_in = new anywheresoftware.b4a.objects.IntentWrapper();
 //BA.debugLineNum = 70;BA.debugLine="Dim intentExtra As String";
_intentextra = "";
 //BA.debugLineNum = 72;BA.debugLine="In = Activity.GetStartingIntent";
_in = mostCurrent._activity.GetStartingIntent();
 //BA.debugLineNum = 73;BA.debugLine="Log(In.ExtrasToString)";
anywheresoftware.b4a.keywords.Common.Log(_in.ExtrasToString());
 //BA.debugLineNum = 74;BA.debugLine="If In.HasExtra(\"Notification_Tag\") Then";
if (_in.HasExtra("Notification_Tag")) { 
 //BA.debugLineNum = 75;BA.debugLine="intentExtra = In.GetExtra(\"Notification_Tag\")";
_intentextra = BA.ObjectToString(_in.GetExtra("Notification_Tag"));
 //BA.debugLineNum = 76;BA.debugLine="ToastMessageShow(intentExtra, False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(_intentextra,anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 78;BA.debugLine="End Sub";
return "";
}
public static String  _checklight() throws Exception{
 //BA.debugLineNum = 111;BA.debugLine="Sub CheckLight()";
 //BA.debugLineNum = 112;BA.debugLine="If ToggleLight.Checked And rdoCustomLight.Checked";
if (mostCurrent._togglelight.getChecked() && mostCurrent._rdocustomlight.getChecked()) { 
 //BA.debugLineNum = 113;BA.debugLine="cboLightColor.Enabled = True";
mostCurrent._cbolightcolor.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 114;BA.debugLine="cboLightSpeed.Enabled = True";
mostCurrent._cbolightspeed.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 116;BA.debugLine="cboLightColor.Enabled = False";
mostCurrent._cbolightcolor.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 117;BA.debugLine="cboLightSpeed.Enabled = False";
mostCurrent._cbolightspeed.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 119;BA.debugLine="End Sub";
return "";
}
public static String  _checkvibrate() throws Exception{
 //BA.debugLineNum = 133;BA.debugLine="Sub CheckVibrate()";
 //BA.debugLineNum = 134;BA.debugLine="If ToggleVibrate.Checked AND rdoCustomVibrate.Che";
if (mostCurrent._togglevibrate.getChecked() && mostCurrent._rdocustomvibrate.getChecked()) { 
 //BA.debugLineNum = 135;BA.debugLine="cboVibrateRate.Enabled = True";
mostCurrent._cbovibraterate.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 137;BA.debugLine="cboVibrateRate.Enabled = False";
mostCurrent._cbovibraterate.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 139;BA.debugLine="End Sub";
return "";
}
public static String  _chkchrono_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 148;BA.debugLine="Sub chkChrono_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 149;BA.debugLine="chkHideTime.Enabled = Not(Checked)";
mostCurrent._chkhidetime.setEnabled(anywheresoftware.b4a.keywords.Common.Not(_checked));
 //BA.debugLineNum = 150;BA.debugLine="End Sub";
return "";
}
public static String  _chkshownumber_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 144;BA.debugLine="Sub chkShowNumber_CheckedChange(Checked As Boolean";
 //BA.debugLineNum = 145;BA.debugLine="txtInfoText.Enabled = Not(Checked)";
mostCurrent._txtinfotext.setEnabled(anywheresoftware.b4a.keywords.Common.Not(_checked));
 //BA.debugLineNum = 146;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 16;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 17;BA.debugLine="Dim nb As NotificationBuilder";
mostCurrent._nb = new barxdroid.NotificationBuilder.NotificationBuilder();
 //BA.debugLineNum = 18;BA.debugLine="Dim nbInboxStyle As NotificationInboxStyle";
mostCurrent._nbinboxstyle = new barxdroid.NotificationBuilder.NotificationInboxStyle();
 //BA.debugLineNum = 19;BA.debugLine="Dim nbBigTextStyle As NotificationBigTextStyle";
mostCurrent._nbbigtextstyle = new barxdroid.NotificationBuilder.NotificationBigTextStyle();
 //BA.debugLineNum = 20;BA.debugLine="Dim nbBigPictureStyle As NotificationBigPictureSt";
mostCurrent._nbbigpicturestyle = new barxdroid.NotificationBuilder.NotificationBigPictureStyle();
 //BA.debugLineNum = 22;BA.debugLine="Dim txtTitle, txtText, txtSubText, txtInfoText As";
mostCurrent._txttitle = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._txttext = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._txtsubtext = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._txtinfotext = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim cboLightColor, cboLightSpeed, cboVibrateRate,";
mostCurrent._cbolightcolor = new anywheresoftware.b4a.objects.SpinnerWrapper();
mostCurrent._cbolightspeed = new anywheresoftware.b4a.objects.SpinnerWrapper();
mostCurrent._cbovibraterate = new anywheresoftware.b4a.objects.SpinnerWrapper();
mostCurrent._cbopersistance = new anywheresoftware.b4a.objects.SpinnerWrapper();
mostCurrent._cbostyle = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim pnlLight, pnlSound, pnlVibrate, pnlTexts, pnl";
mostCurrent._pnllight = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlsound = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlvibrate = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnltexts = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlpersistance = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlstyle = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim rdoCustomLight, rdoDefaultLight, rdoCustomVib";
mostCurrent._rdocustomlight = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._rdodefaultlight = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._rdocustomvibrate = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._rdodefaultvibrate = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim ToggleNotification, ToggleLight, ToggleSound,";
mostCurrent._togglenotification = new anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper();
mostCurrent._togglelight = new anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper();
mostCurrent._togglesound = new anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper();
mostCurrent._togglevibrate = new anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim ScrollBody, ScrollCode As ScrollView";
mostCurrent._scrollbody = new anywheresoftware.b4a.objects.ScrollViewWrapper();
mostCurrent._scrollcode = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim chkShowNumber, chkHideTime, chkChrono, chkPro";
mostCurrent._chkshownumber = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
mostCurrent._chkhidetime = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
mostCurrent._chkchrono = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
mostCurrent._chkprogress = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
mostCurrent._chkactions = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim lblCode As Label";
mostCurrent._lblcode = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim svHeight As Int = 0";
_svheight = (int) (0);
 //BA.debugLineNum = 33;BA.debugLine="Dim NotifyOnPause As Boolean = False";
_notifyonpause = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
notepopup._process_globals();
noteparent._process_globals();
actionservice._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 11;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 12;BA.debugLine="Dim sb As StringBuilder";
_sb = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return "";
}
public static String  _rdocustomlight_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 103;BA.debugLine="Sub rdoCustomLight_CheckedChange(Checked As Boolea";
 //BA.debugLineNum = 104;BA.debugLine="CheckLight";
_checklight();
 //BA.debugLineNum = 105;BA.debugLine="End Sub";
return "";
}
public static String  _rdocustomvibrate_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 129;BA.debugLine="Sub rdoCustomVibrate_CheckedChange(Checked As Bool";
 //BA.debugLineNum = 130;BA.debugLine="CheckVibrate";
_checkvibrate();
 //BA.debugLineNum = 131;BA.debugLine="End Sub";
return "";
}
public static String  _rdodefaultlight_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 107;BA.debugLine="Sub rdoDefaultLight_CheckedChange(Checked As Boole";
 //BA.debugLineNum = 108;BA.debugLine="CheckLight";
_checklight();
 //BA.debugLineNum = 109;BA.debugLine="End Sub";
return "";
}
public static String  _rdodefaultvibrate_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 126;BA.debugLine="Sub rdoDefaultVibrate_CheckedChange(Checked As Boo";
 //BA.debugLineNum = 127;BA.debugLine="CheckVibrate";
_checkvibrate();
 //BA.debugLineNum = 128;BA.debugLine="End Sub";
return "";
}
public static String  _togglelight_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 99;BA.debugLine="Sub ToggleLight_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 100;BA.debugLine="CheckLight";
_checklight();
 //BA.debugLineNum = 101;BA.debugLine="End Sub";
return "";
}
public static String  _togglenotification_checkedchange(boolean _checked) throws Exception{
int _nbcolor = 0;
int _onms = 0;
int _offms = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bigpicture = null;
anywheresoftware.b4a.objects.StringUtils _su = null;
 //BA.debugLineNum = 153;BA.debugLine="Sub ToggleNotification_CheckedChange(Checked As Bo";
 //BA.debugLineNum = 154;BA.debugLine="If Checked = True Then";
if (_checked==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 156;BA.debugLine="nb.Initialize";
mostCurrent._nb.Initialize(processBA);
 //BA.debugLineNum = 157;BA.debugLine="sb.Initialize";
_sb.Initialize();
 //BA.debugLineNum = 158;BA.debugLine="sb.Append(\"==============================\").Appe";
_sb.Append("==============================").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 159;BA.debugLine="sb.Append(\"==Code to build Notification==\").Appe";
_sb.Append("==Code to build Notification==").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 160;BA.debugLine="sb.Append(\"==============================\").Appe";
_sb.Append("==============================").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 161;BA.debugLine="sb.Append(\"Dim nb as NotificationBuilder\").Appen";
_sb.Append("Dim nb as NotificationBuilder").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 162;BA.debugLine="Select cboStyle.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbostyle.getSelectedItem(),"InboxStyle","BigTextStyle","BigPictureStyle")) {
case 0: {
 //BA.debugLineNum = 164;BA.debugLine="sb.Append(\"Dim nbInboxStyle as NotificationInbo";
_sb.Append("Dim nbInboxStyle as NotificationInboxStyle").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
case 1: {
 //BA.debugLineNum = 166;BA.debugLine="sb.Append(\"Dim nbBigTextStyle as NotificationBi";
_sb.Append("Dim nbBigTextStyle as NotificationBigTextStyle").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
case 2: {
 //BA.debugLineNum = 168;BA.debugLine="sb.Append(\"Dim nbBigPictureStyle as Notificatio";
_sb.Append("Dim nbBigPictureStyle as NotificationBigPictureStyle").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
}
;
 //BA.debugLineNum = 170;BA.debugLine="sb.Append(CRLF).Append(\"nb.SmallIcon = \"\"icon\"\"\"";
_sb.Append(anywheresoftware.b4a.keywords.Common.CRLF).Append("nb.SmallIcon = \"icon\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 171;BA.debugLine="sb.Append(\"nb.Ticker = \"\"New Demo\"\"\").Append(CRL";
_sb.Append("nb.Ticker = \"New Demo\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 173;BA.debugLine="nb.SmallIcon = \"icon\"";
mostCurrent._nb.setSmallIcon("icon");
 //BA.debugLineNum = 174;BA.debugLine="nb.Ticker = \"New Demo\"";
mostCurrent._nb.setTicker("New Demo");
 //BA.debugLineNum = 176;BA.debugLine="If ToggleLight.Checked Then";
if (mostCurrent._togglelight.getChecked()) { 
 //BA.debugLineNum = 177;BA.debugLine="If rdoDefaultLight.Checked Then";
if (mostCurrent._rdodefaultlight.getChecked()) { 
 //BA.debugLineNum = 178;BA.debugLine="nb.DefaultLight = True";
mostCurrent._nb.setDefaultLight(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 179;BA.debugLine="sb.Append(\"nb.DefaultLight = True\").Append(CRL";
_sb.Append("nb.DefaultLight = True").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 }else {
 //BA.debugLineNum = 181;BA.debugLine="Dim nbColor, onMs, offMs As Int";
_nbcolor = 0;
_onms = 0;
_offms = 0;
 //BA.debugLineNum = 184;BA.debugLine="sb.Append(\"nb.SetCustomLight(\")";
_sb.Append("nb.SetCustomLight(");
 //BA.debugLineNum = 186;BA.debugLine="Select cboLightColor.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbolightcolor.getSelectedItem(),"Green","Orange","Red","White","Blue")) {
case 0: {
 //BA.debugLineNum = 189;BA.debugLine="nbColor = Colors.Green";
_nbcolor = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 190;BA.debugLine="sb.Append(\"Colors.Green, \")";
_sb.Append("Colors.Green, ");
 break; }
case 1: {
 //BA.debugLineNum = 192;BA.debugLine="nbColor = Colors.ARGB(255,198,79,24)";
_nbcolor = anywheresoftware.b4a.keywords.Common.Colors.ARGB((int) (255),(int) (198),(int) (79),(int) (24));
 //BA.debugLineNum = 193;BA.debugLine="sb.Append(\"Colors.ARGB(255, 198, 79, 24), \")";
_sb.Append("Colors.ARGB(255, 198, 79, 24), ");
 break; }
case 2: {
 //BA.debugLineNum = 195;BA.debugLine="nbColor = Colors.Red";
_nbcolor = anywheresoftware.b4a.keywords.Common.Colors.Red;
 //BA.debugLineNum = 196;BA.debugLine="sb.Append(\"Colors.Red, \")";
_sb.Append("Colors.Red, ");
 break; }
case 3: {
 //BA.debugLineNum = 198;BA.debugLine="nbColor = Colors.White";
_nbcolor = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 199;BA.debugLine="sb.Append(\"Colors.White, \")";
_sb.Append("Colors.White, ");
 break; }
case 4: {
 //BA.debugLineNum = 201;BA.debugLine="nbColor = Colors.Blue";
_nbcolor = anywheresoftware.b4a.keywords.Common.Colors.Blue;
 //BA.debugLineNum = 202;BA.debugLine="sb.Append(\"Colors.Blue, \")";
_sb.Append("Colors.Blue, ");
 break; }
}
;
 //BA.debugLineNum = 205;BA.debugLine="Select cboLightSpeed.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbolightspeed.getSelectedItem(),"Fast","Medium","Slow")) {
case 0: {
 //BA.debugLineNum = 208;BA.debugLine="onMs = 50";
_onms = (int) (50);
 //BA.debugLineNum = 209;BA.debugLine="offMs = 50";
_offms = (int) (50);
 //BA.debugLineNum = 210;BA.debugLine="sb.Append(\"50, 50)\")";
_sb.Append("50, 50)");
 break; }
case 1: {
 //BA.debugLineNum = 212;BA.debugLine="onMs = 200";
_onms = (int) (200);
 //BA.debugLineNum = 213;BA.debugLine="offMs = 200";
_offms = (int) (200);
 //BA.debugLineNum = 214;BA.debugLine="sb.Append(\"200, 200)\")";
_sb.Append("200, 200)");
 break; }
case 2: {
 //BA.debugLineNum = 216;BA.debugLine="onMs = 500";
_onms = (int) (500);
 //BA.debugLineNum = 217;BA.debugLine="offMs = 500";
_offms = (int) (500);
 //BA.debugLineNum = 218;BA.debugLine="sb.Append(\"500, 500)\")";
_sb.Append("500, 500)");
 break; }
}
;
 //BA.debugLineNum = 220;BA.debugLine="sb.Append(CRLF)";
_sb.Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 221;BA.debugLine="nb.setCustomLight(nbColor, onMs, offMs)";
mostCurrent._nb.setCustomLight(_nbcolor,_onms,_offms);
 };
 //BA.debugLineNum = 224;BA.debugLine="Msgbox(\"Press the power button to put your devi";
anywheresoftware.b4a.keywords.Common.Msgbox("Press the power button to put your device to sleep. The notification will be re-issued on sleep and you should see the light effects","Important Info",mostCurrent.activityBA);
 //BA.debugLineNum = 225;BA.debugLine="NotifyOnPause = True";
_notifyonpause = anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 227;BA.debugLine="nb.DefaultLight = False";
mostCurrent._nb.setDefaultLight(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 228;BA.debugLine="sb.Append(\"nb.DefaultLight = False\").Append(CRL";
_sb.Append("nb.DefaultLight = False").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 229;BA.debugLine="NotifyOnPause = False";
_notifyonpause = anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 234;BA.debugLine="If ToggleVibrate.Checked Then";
if (mostCurrent._togglevibrate.getChecked()) { 
 //BA.debugLineNum = 235;BA.debugLine="If rdoDefaultVibrate.Checked Then";
if (mostCurrent._rdodefaultvibrate.getChecked()) { 
 //BA.debugLineNum = 236;BA.debugLine="nb.DefaultVibrate = True";
mostCurrent._nb.setDefaultVibrate(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 237;BA.debugLine="sb.Append(\"nb.DefaultVibrate = True\")";
_sb.Append("nb.DefaultVibrate = True");
 }else {
 //BA.debugLineNum = 239;BA.debugLine="sb.Append(\"nb.CustomVibrate = Array as Long(\")";
_sb.Append("nb.CustomVibrate = Array as Long(");
 //BA.debugLineNum = 240;BA.debugLine="Select cboVibrateRate.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbovibraterate.getSelectedItem(),"Fast","Medium","Slow")) {
case 0: {
 //BA.debugLineNum = 243;BA.debugLine="nb.CustomVibrate = Array As Long(0, 100, 100,";
mostCurrent._nb.setCustomVibrate(new long[]{(long) (0),(long) (100),(long) (100),(long) (100)});
 //BA.debugLineNum = 244;BA.debugLine="sb.Append(\"0, 100, 100, 100)\")";
_sb.Append("0, 100, 100, 100)");
 break; }
case 1: {
 //BA.debugLineNum = 246;BA.debugLine="nb.CustomVibrate = Array As Long(0, 200, 200,";
mostCurrent._nb.setCustomVibrate(new long[]{(long) (0),(long) (200),(long) (200),(long) (200)});
 //BA.debugLineNum = 247;BA.debugLine="sb.Append(\"0, 200, 200, 200)\")";
_sb.Append("0, 200, 200, 200)");
 break; }
case 2: {
 //BA.debugLineNum = 249;BA.debugLine="nb.CustomVibrate = Array As Long(0, 500, 500,";
mostCurrent._nb.setCustomVibrate(new long[]{(long) (0),(long) (500),(long) (500),(long) (500)});
 //BA.debugLineNum = 250;BA.debugLine="sb.Append(\"0, 500, 500, 500)\")";
_sb.Append("0, 500, 500, 500)");
 break; }
}
;
 };
 //BA.debugLineNum = 254;BA.debugLine="sb.Append(CRLF)";
_sb.Append(anywheresoftware.b4a.keywords.Common.CRLF);
 }else {
 //BA.debugLineNum = 256;BA.debugLine="nb.DefaultVibrate = False";
mostCurrent._nb.setDefaultVibrate(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 257;BA.debugLine="sb.Append(\"nb.DefaultVibrate = False\").Append(C";
_sb.Append("nb.DefaultVibrate = False").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 263;BA.debugLine="If ToggleSound.Checked Then";
if (mostCurrent._togglesound.getChecked()) { 
 //BA.debugLineNum = 265;BA.debugLine="nb.CustomSound = \"\"";
mostCurrent._nb.setCustomSound("");
 //BA.debugLineNum = 266;BA.debugLine="sb.Append(\"nb.DefaultSound = True\")";
_sb.Append("nb.DefaultSound = True");
 }else {
 //BA.debugLineNum = 268;BA.debugLine="nb.DefaultSound = False";
mostCurrent._nb.setDefaultSound(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 269;BA.debugLine="sb.Append(\"nb.DefaultSound = False\")";
_sb.Append("nb.DefaultSound = False");
 };
 //BA.debugLineNum = 271;BA.debugLine="sb.Append(CRLF)";
_sb.Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 276;BA.debugLine="If txtTitle.Text <> \"\" Then";
if ((mostCurrent._txttitle.getText()).equals("") == false) { 
 //BA.debugLineNum = 277;BA.debugLine="nb.ContentTitle = txtTitle.Text";
mostCurrent._nb.setContentTitle(mostCurrent._txttitle.getText());
 //BA.debugLineNum = 278;BA.debugLine="sb.Append(\"nb.ContentTitle = \"\"\" & txtTitle.Tex";
_sb.Append("nb.ContentTitle = \""+mostCurrent._txttitle.getText()+"\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 280;BA.debugLine="If txtText.Text <> \"\" Then";
if ((mostCurrent._txttext.getText()).equals("") == false) { 
 //BA.debugLineNum = 281;BA.debugLine="nb.ContentText = txtText.Text";
mostCurrent._nb.setContentText(mostCurrent._txttext.getText());
 //BA.debugLineNum = 282;BA.debugLine="sb.Append(\"nb.ContentText = \"\"\" & txtText.Text";
_sb.Append("nb.ContentText = \""+mostCurrent._txttext.getText()+"\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 284;BA.debugLine="If txtInfoText.Text <> \"\" And txtInfoText.Enable";
if ((mostCurrent._txtinfotext.getText()).equals("") == false && mostCurrent._txtinfotext.getEnabled()) { 
 //BA.debugLineNum = 285;BA.debugLine="nb.ContentInfo = txtInfoText.Text";
mostCurrent._nb.setContentInfo(mostCurrent._txtinfotext.getText());
 //BA.debugLineNum = 286;BA.debugLine="sb.Append(\"nb.ContentInfo = \"\"\" & txtInfoText.T";
_sb.Append("nb.ContentInfo = \""+mostCurrent._txtinfotext.getText()+"\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 288;BA.debugLine="If txtSubText.Text <> \"\" And chkProgress.Checked";
if ((mostCurrent._txtsubtext.getText()).equals("") == false && mostCurrent._chkprogress.getChecked()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 289;BA.debugLine="nb.SubText = txtSubText.Text";
mostCurrent._nb.setSubText(mostCurrent._txtsubtext.getText());
 //BA.debugLineNum = 290;BA.debugLine="sb.Append(\"nb.SubText = \"\"\" & txtSubText.Text &";
_sb.Append("nb.SubText = \""+mostCurrent._txtsubtext.getText()+"\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 293;BA.debugLine="If chkShowNumber.Checked Then";
if (mostCurrent._chkshownumber.getChecked()) { 
 //BA.debugLineNum = 294;BA.debugLine="nb.Number = 2";
mostCurrent._nb.setNumber((int) (2));
 //BA.debugLineNum = 295;BA.debugLine="sb.Append(\"nb.Number = 2\").Append(CRLF)";
_sb.Append("nb.Number = 2").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 298;BA.debugLine="If chkHideTime.Checked And chkHideTime.Enabled T";
if (mostCurrent._chkhidetime.getChecked() && mostCurrent._chkhidetime.getEnabled()) { 
 //BA.debugLineNum = 299;BA.debugLine="nb.ShowTime = False";
mostCurrent._nb.setShowTime(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 300;BA.debugLine="sb.Append(\"nb.ShowTime = False\").Append(CRLF)";
_sb.Append("nb.ShowTime = False").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 303;BA.debugLine="If chkChrono.Checked Then";
if (mostCurrent._chkchrono.getChecked()) { 
 //BA.debugLineNum = 304;BA.debugLine="nb.UsesChrono = True";
mostCurrent._nb.setUsesChrono(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 305;BA.debugLine="sb.Append(\"nb.UsesChrono = True\").Append(CRLF)";
_sb.Append("nb.UsesChrono = True").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 308;BA.debugLine="If chkProgress.Checked Then";
if (mostCurrent._chkprogress.getChecked()) { 
 //BA.debugLineNum = 309;BA.debugLine="nb.setProgress(100, 40, False)";
mostCurrent._nb.setProgress((int) (100),(int) (40),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 310;BA.debugLine="sb.Append(\"nb.setProgress(100, 40, False)\").App";
_sb.Append("nb.setProgress(100, 40, False)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 315;BA.debugLine="Select cboPersistance.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbopersistance.getSelectedItem(),"Normal","On Going","Auto Cancel")) {
case 0: {
 break; }
case 1: {
 //BA.debugLineNum = 319;BA.debugLine="nb.OnGoingEvent = True";
mostCurrent._nb.setOnGoingEvent(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 320;BA.debugLine="sb.Append(\"nb.OnGoingEvent = True\").Append(CRLF";
_sb.Append("nb.OnGoingEvent = True").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
case 2: {
 //BA.debugLineNum = 322;BA.debugLine="nb.AutoCancel = True";
mostCurrent._nb.setAutoCancel(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 323;BA.debugLine="sb.Append(\"nb.AutoCancel = True\").Append(CRLF).";
_sb.Append("nb.AutoCancel = True").Append(anywheresoftware.b4a.keywords.Common.CRLF).Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
}
;
 //BA.debugLineNum = 329;BA.debugLine="Select cboStyle.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._cbostyle.getSelectedItem(),"InboxStyle","BigTextStyle","BigPictureStyle")) {
case 0: {
 //BA.debugLineNum = 332;BA.debugLine="nbInboxStyle.Initialize";
mostCurrent._nbinboxstyle.Initialize(processBA);
 //BA.debugLineNum = 333;BA.debugLine="nbInboxStyle.BigContentTitle = \"InboxStyle Exam";
mostCurrent._nbinboxstyle.setBigContentTitle("InboxStyle Example");
 //BA.debugLineNum = 334;BA.debugLine="nbInboxStyle.SummaryText = \"3 New Messages...\"";
mostCurrent._nbinboxstyle.setSummaryText("3 New Messages...");
 //BA.debugLineNum = 335;BA.debugLine="nbInboxStyle.AddLine = \"John Doe - Hey man, How";
mostCurrent._nbinboxstyle.setAddLine("John Doe - Hey man, How's things?...");
 //BA.debugLineNum = 336;BA.debugLine="nbInboxStyle.AddLine = \"Jane Doe - You fancy lu";
mostCurrent._nbinboxstyle.setAddLine("Jane Doe - You fancy lunch tonight?...");
 //BA.debugLineNum = 337;BA.debugLine="nbInboxStyle.AddLine = \"Joe Bloggs - Please fin";
mostCurrent._nbinboxstyle.setAddLine("Joe Bloggs - Please find the contract attached...");
 //BA.debugLineNum = 338;BA.debugLine="nb.SetStyle(nbInboxStyle)";
mostCurrent._nb.SetStyle((android.support.v4.app.NotificationCompat.Style)(mostCurrent._nbinboxstyle.getObject()));
 //BA.debugLineNum = 339;BA.debugLine="sb.Append(\"nbInboxStyle.Initialize\").Append(CRL";
_sb.Append("nbInboxStyle.Initialize").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 340;BA.debugLine="sb.Append(\"nbInboxStyle.BigContentTitle = \"\"Inb";
_sb.Append("nbInboxStyle.BigContentTitle = \"InboxStyle Example\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 341;BA.debugLine="sb.Append(\"nbInboxStyle.SummaryText = \"\"3 New M";
_sb.Append("nbInboxStyle.SummaryText = \"3 New Messages...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 342;BA.debugLine="sb.Append(\"nbInboxStyle.AddLine = \"\"John Doe -";
_sb.Append("nbInboxStyle.AddLine = \"John Doe - Hey man, How's things?...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 343;BA.debugLine="sb.Append(\"nbInboxStyle.AddLine = \"\"Jane Doe -";
_sb.Append("nbInboxStyle.AddLine = \"Jane Doe - You fancy lunch tonight?...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 344;BA.debugLine="sb.Append(\"nbInboxStyle.AddLine = \"\"Joe Bloggs";
_sb.Append("nbInboxStyle.AddLine = \"Joe Bloggs - Please find the contract attached...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 345;BA.debugLine="sb.Append(\"nb.SetStyle(nbInboxStyle)\").Append(C";
_sb.Append("nb.SetStyle(nbInboxStyle)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
case 1: {
 //BA.debugLineNum = 348;BA.debugLine="nbBigTextStyle.Initialize";
mostCurrent._nbbigtextstyle.Initialize(processBA);
 //BA.debugLineNum = 349;BA.debugLine="nbBigTextStyle.BigText = \"This is a large secti";
mostCurrent._nbbigtextstyle.setBigText("This is a large section of text that can only be viewed by expanding the notification. This is usually done with a gesture. On older devices, there is no way to see this in the notification.");
 //BA.debugLineNum = 350;BA.debugLine="nbBigTextStyle.BigContentTitle = \"BigTextStyle";
mostCurrent._nbbigtextstyle.setBigContentTitle("BigTextStyle Example");
 //BA.debugLineNum = 351;BA.debugLine="nbBigTextStyle.SummaryText = \"Read More...\"";
mostCurrent._nbbigtextstyle.setSummaryText("Read More...");
 //BA.debugLineNum = 352;BA.debugLine="nb.SetStyle(nbBigTextStyle)";
mostCurrent._nb.SetStyle((android.support.v4.app.NotificationCompat.Style)(mostCurrent._nbbigtextstyle.getObject()));
 //BA.debugLineNum = 353;BA.debugLine="sb.Append(\"nbBigTextStyle.Initialize\").Append(C";
_sb.Append("nbBigTextStyle.Initialize").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 354;BA.debugLine="sb.Append(\"nbBigTextStyle.BigText = \"\"This Is a";
_sb.Append("nbBigTextStyle.BigText = \"This Is a large section of text that can only be viewed by expanding the Notification. This Is usually done with a gesture. On older devices, there Is no way To see this In the Notification.\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 355;BA.debugLine="sb.Append(\"nbBigTextStyle.BigContentTitle = \"\"B";
_sb.Append("nbBigTextStyle.BigContentTitle = \"BigTextStyle Example\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 356;BA.debugLine="sb.Append(\"nbBigTextStyle.SummaryText = \"\"Read";
_sb.Append("nbBigTextStyle.SummaryText = \"Read More...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 357;BA.debugLine="sb.Append(\"nb.SetStyle(nbBigTextStyle)\").Append";
_sb.Append("nb.SetStyle(nbBigTextStyle)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
case 2: {
 //BA.debugLineNum = 360;BA.debugLine="Dim BigPicture As Bitmap";
_bigpicture = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 361;BA.debugLine="BigPicture.Initialize(File.DirAssets, \"bigpictu";
_bigpicture.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"bigpicture.png");
 //BA.debugLineNum = 362;BA.debugLine="nbBigPictureStyle.Initialize";
mostCurrent._nbbigpicturestyle.Initialize(processBA);
 //BA.debugLineNum = 363;BA.debugLine="nbBigPictureStyle.BigContentTitle = \"BigPicture";
mostCurrent._nbbigpicturestyle.setBigContentTitle("BigPictureStyle Example");
 //BA.debugLineNum = 364;BA.debugLine="nbBigPictureStyle.SummaryText = \"View More...\"";
mostCurrent._nbbigpicturestyle.setSummaryText("View More...");
 //BA.debugLineNum = 365;BA.debugLine="nbBigPictureStyle.BigPicture = BigPicture";
mostCurrent._nbbigpicturestyle.setBigPicture((android.graphics.Bitmap)(_bigpicture.getObject()));
 //BA.debugLineNum = 366;BA.debugLine="nb.SetStyle(nbBigPictureStyle)";
mostCurrent._nb.SetStyle((android.support.v4.app.NotificationCompat.Style)(mostCurrent._nbbigpicturestyle.getObject()));
 //BA.debugLineNum = 367;BA.debugLine="sb.Append(\"Dim BigPicture As Bitmap\").Append(CR";
_sb.Append("Dim BigPicture As Bitmap").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 368;BA.debugLine="sb.Append(\"BigPicture.Initialize(File.DirAssets";
_sb.Append("BigPicture.Initialize(File.DirAssets, \"BigPicture.png\")").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 369;BA.debugLine="sb.Append(\"nbBigPictureStyle.BigContentTitle =";
_sb.Append("nbBigPictureStyle.BigContentTitle = \"BigPictureStyle Example\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 370;BA.debugLine="sb.Append(\"nbBigPictureStyle.SummaryText = \"\"Vi";
_sb.Append("nbBigPictureStyle.SummaryText = \"View More...\"").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 371;BA.debugLine="sb.Append(\"nbBigPictureStyle.BigPicture = BigPi";
_sb.Append("nbBigPictureStyle.BigPicture = BigPicture").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 372;BA.debugLine="sb.Append(\"nb.SetStyle(nbBigPictureStyle)\").App";
_sb.Append("nb.SetStyle(nbBigPictureStyle)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 break; }
}
;
 //BA.debugLineNum = 378;BA.debugLine="If chkActions.Checked Then";
if (mostCurrent._chkactions.getChecked()) { 
 //BA.debugLineNum = 379;BA.debugLine="nb.AddAction(\"icon\", \"Action1\", \"number 1\", Not";
mostCurrent._nb.AddAction(processBA,"icon","Action1","number 1",(Object)(mostCurrent._notepopup.getObject()));
 //BA.debugLineNum = 380;BA.debugLine="nb.AddAction(\"icon\", \"Action2\", \"number 2\", Not";
mostCurrent._nb.AddAction(processBA,"icon","Action2","number 2",(Object)(mostCurrent._notepopup.getObject()));
 //BA.debugLineNum = 381;BA.debugLine="nb.AddAction(\"icon\", \"Action3\", \"action 3\", Not";
mostCurrent._nb.AddAction(processBA,"icon","Action3","action 3",(Object)(mostCurrent._notepopup.getObject()));
 //BA.debugLineNum = 382;BA.debugLine="sb.Append(\"nb.AddAction2(\"\"actionicon\"\", \"\"Acti";
_sb.Append("nb.AddAction2(\"actionicon\", \"Action1\", ActionService)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 383;BA.debugLine="sb.Append(\"nb.AddAction2(\"\"actionicon\"\", \"\"Acti";
_sb.Append("nb.AddAction2(\"actionicon\", \"Action2\", ActionService)").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 };
 //BA.debugLineNum = 388;BA.debugLine="nb.Tag = \"some tag\"";
mostCurrent._nb.setTag("some tag");
 //BA.debugLineNum = 389;BA.debugLine="nb.setActivity(Me)";
mostCurrent._nb.setActivity(processBA,main.getObject());
 //BA.debugLineNum = 390;BA.debugLine="nb.setParentActivity(NoteParent)";
mostCurrent._nb.setParentActivity(processBA,(Object)(mostCurrent._noteparent.getObject()));
 //BA.debugLineNum = 391;BA.debugLine="nb.setDeleteActivity(NotePopup)";
mostCurrent._nb.setDeleteActivity(processBA,(Object)(mostCurrent._notepopup.getObject()));
 //BA.debugLineNum = 392;BA.debugLine="nb.Notify(1)";
mostCurrent._nb.Notify(processBA,(int) (1));
 //BA.debugLineNum = 393;BA.debugLine="sb.Append(\"nb.Notifiy(1)\")";
_sb.Append("nb.Notifiy(1)");
 //BA.debugLineNum = 394;BA.debugLine="sb.Append(\"\").Append(CRLF)";
_sb.Append("").Append(anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 395;BA.debugLine="Log(sb.ToString)";
anywheresoftware.b4a.keywords.Common.Log(_sb.ToString());
 //BA.debugLineNum = 397;BA.debugLine="Dim su As StringUtils";
_su = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 398;BA.debugLine="lblCode.Text = sb.ToString";
mostCurrent._lblcode.setText((Object)(_sb.ToString()));
 //BA.debugLineNum = 399;BA.debugLine="lblCode.TextSize = 14";
mostCurrent._lblcode.setTextSize((float) (14));
 //BA.debugLineNum = 400;BA.debugLine="lblCode.Typeface = Typeface.MONOSPACE";
mostCurrent._lblcode.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.MONOSPACE);
 //BA.debugLineNum = 401;BA.debugLine="lblCode.Height = su.MeasureMultilineTextHeight(l";
mostCurrent._lblcode.setHeight(_su.MeasureMultilineTextHeight((android.widget.TextView)(mostCurrent._lblcode.getObject()),mostCurrent._lblcode.getText()));
 //BA.debugLineNum = 402;BA.debugLine="ScrollCode.Panel.Height = Max(lblCode.Height, 10";
mostCurrent._scrollcode.getPanel().setHeight((int) (anywheresoftware.b4a.keywords.Common.Max(mostCurrent._lblcode.getHeight(),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA))));
 //BA.debugLineNum = 403;BA.debugLine="ScrollCode.Visible = True";
mostCurrent._scrollcode.setVisible(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 406;BA.debugLine="nb.Cancel(1)";
mostCurrent._nb.Cancel(processBA,(int) (1));
 //BA.debugLineNum = 407;BA.debugLine="ScrollCode.Visible = False";
mostCurrent._scrollcode.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 410;BA.debugLine="End Sub";
return "";
}
public static String  _togglesound_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 93;BA.debugLine="Sub ToggleSound_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 95;BA.debugLine="End Sub";
return "";
}
public static String  _togglevibrate_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 123;BA.debugLine="Sub ToggleVibrate_CheckedChange(Checked As Boolean";
 //BA.debugLineNum = 124;BA.debugLine="CheckVibrate";
_checkvibrate();
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
}
